QGIS Application - Bug report #15141

regression: changing symbol "template"” in categorized renderer applies singular color to all
categories

2016-06-26 06:34 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23080
Description

A regression is affecting the styling of already-set categories in the categorized renderer, whereas changes done through the symbol
template (say removing an outline) applies the template fill color to all categories.
Steps to reproduce
1. Create a new projec
. Add a polygon dataset
. Open the layer's style dock (or access symbology through the layer properties, same result)
. Switch to categorized renderer, and create a list of categories
. Select the created categories (ctrl+a over the list)
. Click on the "Change..." symbol button to edit the symbol template
. Set border of the simple fill to "no pen", and click on the [ Ok ] button
. Notice the distinctive color of each category is lost
Associated revisions

Revision df579a57 - 2016-06-27 04:16 AM - Nyall Dawson

Fix changing selected categorised renderer symbols (fix #15141)

History

#1 - 2016-06-26 07:17 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"df579a57e110463d34e46b9542a07a0e201adc7d".
